echo "update -> repo"
git fetch
git reset --hard origin/master
echo "update repo -> Success"

id="git rev-parse --short HEAD"
export ZYOS_APP_COMMIT_ID=`eval $id`
echo "GET the Commit ID for git -> $ZYOS_APP_COMMIT_ID"

echo "Start build image "

image_name=registry-vpc.cn-shenzhen.aliyuncs.com/fnuoos-prd/zyos_community_team:${ZYOS_APP_COMMIT_ID}
#final_image_name=registry.cn-shenzhen.aliyuncs.com/fnuoos-prd/zyos:${ZYOS_APP_COMMIT_ID}
docker build -t ${image_name} .

docker push ${image_name}
echo "Push image -> $image_name Success"
export ZYOS_APP_LATEST_VERSION=${image_name}